Article ID: 6670, created on Jan 7, 2010, last review on May 11, 2014

  • Applies to:
  • Plesk 11.5 for Windows

Résolution

Comment mettre à jour PHP 5 sur le serveur Windows avec Parallels Plesk Panel 8.x, 9.x installé.

Afin de mettre à niveau PHP 5 vers la version requise (si vous souhaitez en avoir une autre intégrée avec Parallels Plesk), veuillez procéder comme suit :

  1. Arrêtez les services de Parallels Plesk Panel (le "Panneau de contrôle" et tout ce qui est inclus dans la section "Durée de fonctionnement de Plesk")
  2. Renommez le dossier %plesk_dir%\Additional\PleskPHP5 en orig_PleskPHP5
  3. Créez un nouveau dossier %plesk_dir%\Additional\PleskPHP5
  4. Téléchargez la version requise de PHP, dézippez son contenu et copiez-le dans le dossier nouvellement créé PleskPHP5
  5. Copiez le fichier php.ini à partir de l'ancien dossier orig_PleskPHP5 vers le nouveau
  6. Vérifiez que les droits sont hérités
  7. Démarrez les services Paralels Plesk Panel
  8. Cliquez sur le bouton "Actualiser" dans la section Gestion des composants dans Parallels Plesk Panel et vérifiez si vous pouvez y voir la nouvelle version


Vous devez avoir conscience que les versions PHP autres que celles intégrées avec Parallels Plesk Panel n'ont pas été testées.
 La procédure décrite ici n'affecte pas la version PHP que Parallels Plesk Panel utilise pour lui-même.

Informations supplémentaires

Parallels Plesk Panel est distribué avec son propre PHP qui traite le panneau de contrôle. Ce PHP ne peut pas être mis à niveau avec les instructions.

56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c 85a92ca67f2200d36506862eaa6ed6b8 46a8e394d6fa13134808921036a34da8 bd7fc88cf1b01f097749ae6f87272128

Email subscription for changes to this article
Save as PDF